#!/usr/bin/env python
import os
import sys
import warnings
import traceback

warnings.filterwarnings("once")


def warn_with_traceback(message, category, filename, lineno, file=None, line=None):

    log = file if hasattr(file, "write") else sys.stderr
    traceback.print_stack(file=log)
    log.write(warnings.formatwarning(message, category, filename, lineno, line))


warnings.showwarning = warn_with_traceback

if __name__ == "__main__":
    os.environ.setdefault("DJANGO_SETTINGS_MODULE", "billetterie.local_settings")

    from django.core.management import execute_from_command_line

    execute_from_command_line(sys.argv)
